Bug 36339 - Bonding configuration generates wrong miimon configuration
Bonding configuration generates wrong miimon configuration
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 3.2
Other Linux
: P5 critical (vote)
: UCS 3.2-4-errata
Assigned To: Florian Best
Philipp Hahn
:
Depends on:
Blocks: 36340
  Show dependency treegraph
 
Reported: 2014-10-29 15:21 CET by Janis Meybohm
Modified: 2014-12-03 14:49 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
meybohm: Patch_Available+


Attachments
Fix UMC wizard and correct UCR variables (untested) (2.42 KB, patch)
2014-10-29 15:21 CET, Janis Meybohm
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2014-10-29 15:21:13 CET
Created attachment 6254 [details]
Fix UMC wizard and correct UCR variables (untested)

2014102821000257

The UMC module does not set MII link monitoring frequency correctly:

interfaces/bond0/options/2: miimon 100

should be:

interfaces/bond0/options/2: bond-miimon 100

Therefore, in bond-modes like active-backup, the active slave is _never_ switched so the network is down when the active slave goes down!


A fix should also correct all broken configurations in UCR.

Workaround:
1) Set "bond-miimon <Frequency in milliseconds>" manually via "Additional bonding options" in UMC wizard.
BUT: this would need to be manually removed when this bug is fixed because ifup complains about duplicate options

/etc/network/interfaces:39: duplicate option
ifup: couldn't read interfaces file "/etc/network/interfaces"


2) Correct UCR manually:
ucr search --brief --non-empty '^interfaces/.*/options/' | \
  sed -rne 's,(interfaces/.*/options/.*): (miimon .*)$,\1=bond-\2,p' | \
  xargs -d '\n' --no-run-if-empty ucr set

BUT: Re-running the UMC wizard for that interface will again break the configuration!
Comment 1 Florian Best univentionstaff 2014-11-21 16:55:59 CET
The patch has been adapted and applied.

# diff before_update after_update:
< interfaces/bond0/options/2: miimon 98
---
> interfaces/bond0/options/2: bond-miimon 98

# cat /sys/class/net/bond0/bonding/miimon 
98
Comment 2 Philipp Hahn univentionstaff 2014-11-28 07:41:25 CET
OK: r56048 r56047
OK: aptitude install '?source-package(univention-system-setup)?installed'
OK: cat /etc/network/interfaces
OK: cat /sys/class/net/bond0/bonding/miimon
OK: 2014-11-21-univention-system-setup.yaml
FIXED: announce_errata.pmh -V 2014-11-21-univention-system-setup.yaml
 wrap, "MII monitoring", German → r56267
Comment 3 Moritz Muehlenhoff univentionstaff 2014-12-03 14:49:22 CET
http://errata.univention.de/ucs/3.2/246.html